> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# List simulation suites

GET https://api.synthflow.ai/v2/simulation_suites

List simulation suites with pagination and optional filtering.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/list-simulation-suites

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Query parameters

- `page_number` (integer, optional, default: 1) — Page number.
- `page_size` (integer, optional, default: 10) — Number of items per page.
- `search` (string, optional) — Search term for simulation suite names.
- `model_ids` (list of string, optional) — Filter by list of model IDs.
- `start_date` (datetime, optional) — Filter by created_at >= start_date (ISO format).
- `end_date` (datetime, optional) — Filter by created\_at \<= end\_date (ISO format).

## Response

### 200

200

- `status` (string, optional) — Whether the request was successful.
- `response` (PaginatedSimulationSuitesList, optional)

## Errors

### 400 Bad Request Error

400

## Types

### PaginatedSimulationSuitesList

- `items` (list of SimulationSuiteListItem, required) — List of simulation suites
- `total` (integer, required) — Total number of simulation suites
- `page_number` (integer, required) — Current page number
- `page_size` (integer, required) — Number of items per page

### SimulationSuiteListItem

- `id` (string, required) — Suite ID
- `name` (string, required) — Name of the simulation suite
- `model_id` (string, required) — Agent model ID this suite is for
- `workspace_id` (string, required) — Workspace ID this suite belongs to
- `language` (string, optional, default: en-US) — Language locale for the persona agent and test cases (e.g., 'en-US', 'es-ES', 'fr-FR')
- `created_at` (datetime, optional) — When the suite was created
- `updated_at` (datetime, optional) — When the suite was last updated
- `case_summaries` (list of SimulationCaseSummary, optional) — Summary of cases in this suite
- `agent` (AgentListItem, optional) — Agent information associated with this suite

### SimulationCaseSummary

- `simulation_case_id` (string, required) — Unique identifier for the simulation case
- `name` (string, required) — Name of the simulation case

### AgentListItem

- `id` (string, optional)
- `name` (string, optional)
- `avatar` (string, optional, nullable)

## Examples

**Response**

```json
{
  "status": "ok",
  "response": {
    "items": [
      {
        "id": "string",
        "name": "string",
        "model_id": "string",
        "workspace_id": "string",
        "language": "en-US",
        "created_at": "2024-01-15T09:30:00Z",
        "updated_at": "2024-01-15T09:30:00Z",
        "case_summaries": [
          {
            "simulation_case_id": "string",
            "name": "string"
          }
        ],
        "agent": {
          "id": "string",
          "name": "string",
          "avatar": "string"
        }
      }
    ],
    "total": 1,
    "page_number": 1,
    "page_size": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_suites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_suites"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_suites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulation_suites")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_suites");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_suites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```